{"title":"Update employee defaultDimensions (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_employee_update_defaultdimensions/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_employee_update_defaultdimensions, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_employee_update_defaultdimensions","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Updates a employee default dimensions in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update employee defaultDimensions (v1.0)","slug":"update-employee-defaultdimensions-v10","at":0,"chars":2611},{"level":2,"title":"HTTP request","slug":"http-request","at":111,"chars":271},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":382,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":491,"chars":506},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":997,"chars":152},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1149,"chars":1207},{"level":2,"title":"Related information","slug":"related-information","at":2356,"chars":255}],"text":"# Update employee defaultDimensions (v1.0)\nUpdates the default dimensions of the employee in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/defaultDimensions({employeeId},{dimensionId})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n> NOTE\n> You cannot modify parentId, dimensionId or dimensionCode fields, because these are key fields, and rename is not allowed in Default Dimension record.\n## Response (v1.0)\nIf successful, this method returns a `200 OK` response code and an updated default dimensions for the employee in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies({companyId})/employees({employeeId})/defaultDimensions({employeeId},{dimensionId})\n```\nRequest body\n```\n{\n  \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n  \"postingValidation\":\"Same Code\"\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"@odata.context\":\"https://api.businesscentral.dynamics.com/v1.0/api/v1.0/$metadata#companies(5106c77d-af37-4e2d-bb88-45d87aba1033)/employees(b3fbe87a-61b8-4a6c-85de-0555f1627a67)/defaultDimensions\",\n    \"value\":\n    [\n        {\n            \"@odata.etag\":\"W/\\\"JzQ0OzNPaHFuS0ZQdk5oc3ZkSW9KdzVkdXk2LytjcmNqeHJJOU05SjZ1aFBYVjQ9MTswMDsn\\\"\",\n            \"parentId\":\"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\n            \"dimensionId\":\"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n            \"dimensionCode\":\"DEPARTMENT\",\n            \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n            \"dimensionValueCode\":\"PROD\",\n            \"postingValidation\":\"Same Code\"\n        }\n    ]\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_employee\ndynamics_employee_create_defaultdimensions\ndynamics_employee_get_defaultdimensions\ndynamics_employee_delete_defaultdimensions"}